Home / API Documentation / Operations center / Templates / View the list of notification templates

View the list of notification templates

Requests

HTTP request

GET /apis/aiops.alauda.io/v1beta1/notificationtemplates

list objects of kind NotificationTemplate

Query parameters

Name Type Required Description
allowWatchBookmarks boolean FalseallowWatchBookmarks requests watch events with type "BOOKMARK". Servers that do not implement bookmarks may ignore this flag and bookmarks are sent at the server's discretion. Clients should not assume bookmarks are returned at any specific interval, nor may they assume the server will send any BOOKMARK event during a session. If this is not a watch, this field is ignored. If the feature gate WatchBookmarks is not enabled in apiserver, this field is ignored.
continue string FalseThe continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the "next key". This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.
fieldSelector string FalseA selector to restrict the list of returned objects by their fields. Defaults to everything.
labelSelector string FalseA selector to restrict the list of returned objects by their labels. Defaults to everything.
limit integer Falselimit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true. The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.
resourceVersion string FalseWhen specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.
timeoutSeconds integer FalseTimeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.
watch boolean FalseWatch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.
pretty string FalseIf 'true', then the output is pretty printed.

Responses

Content-Type application/json, application/yaml

Status code: 200

OK

Sample response

NotificationTemplateList is a list of NotificationTemplate

{
   "apiVersion": "aiops.alauda.io/v1beta1",
   "items": [
     {
       "apiVersion": "aiops.alauda.io/v1beta1",
       "kind": "NotificationTemplate",
       "metadata": {
         "annotations": {
           "cpaas.io/creator": "huzl",
           "cpaas.io/description": "mail-notice-temp",
           "cpaas.io/display-name": "mail-notice-temp",
           "cpaas.io/updated-at": "2021-06-17T09:47:44Z"
         },
         "creationTimestamp": "2021-06-17T09:47:44Z",
         "generation": 1,
         "labels": {
           "cpaas.io/message-type": "html",
           "cpaas.io/type": "email"
         },
         "managedFields": [
           {
             "apiVersion": "aiops.alauda.io/v1beta1",
             "fieldsType": "FieldsV1",
             "fieldsV1": {
               "f:metadata": {
                 "f:annotations": {
                   ".": {},
                   "f:cpaas.io/description": {},
                   "f:cpaas.io/display-name": {}
                 },
                 "f:labels": {
                   ".": {},
                   "f:cpaas.io/message-type": {},
                   "f:cpaas.io/type": {}
                 }
               },
               "f:spec": {
                 ".": {},
                 "f:content": {},
                 "f:subject": {}
               }
             },
             "manager": "Mozilla",
             "operation": "Update",
             "time": "2021-06-17T09:47:44Z"
           }
         ],
         "name": "mail-notice-temp",
         "resourceVersion": "94755",
         "selfLink": "/apis/aiops.alauda.io/v1beta1/notificationtemplates/mail-notice-temp",
         "uid": "dd0bdbb6-7af9-4839-8039-56d653547439"
       },
       "spec": {
         "content": "{{- if eq .externalLabels.status \"告警中\" }}\n\u003cdiv\u003e\u003cfont\u003e\n    \u003cdiv style=\"font-family: \"lucida Grande\", Verdana;\"\u003e\n        \u003cdiv\u003e告警状态:\u003cfont color=\"#FF0000\"\u003e{{ .externalLabels.status }}\u003c/font\u003e\u003c/div\u003e\n        \u003cdiv\u003e告警等级:{{ .externalLabels.severity }}\u003c/div\u003e\n        \u003cdiv\u003e告警集群:{{ .labels.alert_cluster }}\u003c/div\u003e\n        \u003cdiv\u003e告警对象:{{ .externalLabels.object }}\u003c/div\u003e\n        \u003cdiv\u003e策略名称:{{ .labels.alert_resource }}\u003c/div\u003e\n        \u003cdiv\u003e告警描述:{{ .externalLabels.summary }}\u003c/div\u003e\n        \u003cdiv\u003e触发数值:\u003cfont color=\"#FF0000\"\u003e{{ .externalLabels.currentValue }}\u003c/font\u003e\u003c/div\u003e\n        \u003cdiv\u003e告警时间:{{ dateFormatWithZone .startsAt \"2006-01-02 15:04:05\" \"Asia/Chongqing\" }}\u003c/div\u003e\n    \u003c/div\u003e\n    \u003c/font\u003e\n\u003c/div\u003e\n{{- else }}\n\u003cdiv\u003e\u003cfont\u003e\n    \u003cdiv style=\"font-family: \"lucida Grande\", Verdana;\"\u003e\n        \u003cdiv\u003e告警状态:\u003cfont color=\"##00FF00\"\u003e{{ .externalLabels.status }}\u003c/font\u003e\u003c/div\u003e\n        \u003cdiv\u003e告警等级:{{ .externalLabels.severity }}\u003c/div\u003e\n        \u003cdiv\u003e告警集群:{{ .labels.alert_cluster }}\u003c/div\u003e\n        \u003cdiv\u003e告警对象:{{ .externalLabels.object }}\u003c/div\u003e\n        \u003cdiv\u003e策略名称:{{ .labels.alert_resource }}\u003c/div\u003e\n        \u003cdiv\u003e告警描述:{{ .externalLabels.summary }}\u003c/div\u003e\n        \u003cdiv\u003e触发数值:\u003cfont color=\"###00FF00\"\u003e{{ .externalLabels.currentValue }}\u003c/font\u003e\u003c/div\u003e\n        \u003cdiv\u003e告警时间:{{ dateFormatWithZone .startsAt \"2006-01-02 15:04:05\" \"Asia/Chongqing\" }}\u003c/div\u003e\n        \u003cdiv\u003e恢复时间:{{ dateFormatWithZone .endsAt \"2006-01-02 15:04:05\" \"Asia/Chongqing\" }}\u003c/div\u003e\n    \u003c/div\u003e\n    \u003c/font\u003e\n\u003c/div\u003e\n{{- end}}\n\u003cdiv\u003e\u003cincludetail\u003e\u003c!--\u003c![endif]--\u003e\u003c/includetail\u003e\u003c/div\u003e",
         "subject": "【{{.externalLabels.status}}】PAAS 平台告警:{{.externalLabels.object}}的{{.externalLabels.summary}}"
       }
     },
     {
       "apiVersion": "aiops.alauda.io/v1beta1",
       "kind": "NotificationTemplate",
       "metadata": {
         "annotations": {
           "cpaas.io/display-name": "notificationtemplate-devops-default"
         },
         "creationTimestamp": "2021-06-17T08:25:54Z",
         "generation": 1,
         "labels": {
           "cpaas.io/type": "email"
         },
         "managedFields": [
           {
             "apiVersion": "aiops.alauda.io/v1beta1",
             "fieldsType": "FieldsV1",
             "fieldsV1": {
               "f:metadata": {
                 "f:annotations": {
                   ".": {},
                   "f:cpaas.io/display-name": {}
                 },
                 "f:labels": {
                   ".": {},
                   "f:cpaas.io/type": {}
                 }
               },
               "f:spec": {
                 ".": {},
                 "f:content": {},
                 "f:subject": {}
               }
             },
             "manager": "devops-apiserver",
             "operation": "Update",
             "time": "2021-06-17T08:25:54Z"
           }
         ],
         "name": "notificationtemplate-devops-default",
         "resourceVersion": "18789",
         "selfLink": "/apis/aiops.alauda.io/v1beta1/notificationtemplates/notificationtemplate-devops-default",
         "uid": "3047aada-a614-47a2-bd71-00272b8af223"
       },
       "spec": {
         "content": "\n{{- $status := \"SUCCESS\" }}\n{{- $pipelinename :=  .pipeline.metadata.name }}\n{{- $pipelinenamespace :=  .pipeline.metadata.namespace }}\n{{- $pipelineconfigname := .pipeline.spec.pipelineConfig.name }}\n{{- $items := .pipeline.status.information.items }}\n\n{{- range $_, $value := $items }}\n\t{{- if eq $value.type \"_Summary\" }}\n\t\t{{- $status = $value.value.status }}\n时间: {{- $value.value.create_date }}\n\t\t{{- if eq $value.value.status \"SUCCESS\" }}\n\n流水线执行成功\n\t\t{{- else if eq $value.value.status \"FAILURE\" }}\n\n流水线执行失败\n\t\t{{- else if eq $value.value.status \"ABORTED\" }}\n\n流水线被取消\n\t\t{{- end }}\n\t{{- end }}\n{{- end }}\n\n{{- if eq $status \"SUCCESS\" }}\n\t{{- range $_, $item := $items }}\n\t\t{{- if eq $item.type \"_Clone\"}}\n\n【{{$item.name}}】\n\ncommitID: {{$item.value.commit_id}}\n\t\t{{- else if eq $item.type \"_Sonar\"}}\n\n【{{$item.name}}】\n\n代码扫描结果: {{$item.value.sonar_url}}\n\t\t{{- else if eq $item.type \"_Maven_Deploy\"}}\n\n【{{$item.name}}】\n\n分发仓库: {{$item.value.maven_package}}\n\t\t{{- else if eq $item.type \"_Docker\"}}\n\n【{{$item.name}}】\n\n构建镜像: {{ range $index, $v := $item.value.build_image }}{{if ne $index 0}}\",\"{{end}}{{$v}}{{end}}\n\t\t{{- else if eq $item.type \"_Deploy\"}}\n\n【{{$item.name}}】\n\n{{if $item.value.createApp}}创建的应用{{else}}更新的应用{{end}}: {{$item.value.serviceName}}\n\t\t{{- else if eq $item.type \"_Sync\"}}\n\n【{{$item.name}}】\n\n同步的源镜像: {{$item.value.source_image}}\n同步的目标镜像: {{$item.value.target_image}}\n\t\t{{- end }}\n\t{{- end }}\n\t{{- range $_, $value := $items }}\n\t\t{{- if ne (printf \"%.1s\" $value.type) \"_\" }}\n\nname: {{$value.name}}\nvalue: {{$value.value}}\ntype: {{$value.type}}\ndesc: {{$value.description}}\n\t\t{{- end }}\n\t{{- end }}\n{{- end}}\n\n\nlink: https://acp35.alauda.cn:10443/console-devops/workspace/{{$pipelinenamespace}}/pipelines/all/{{$pipelineconfigname}}/{{$pipelinename}}",
         "subject": "【流水线通知】来自 {{.pipeline.metadata.name}}"
       }
     },
     {
       "apiVersion": "aiops.alauda.io/v1beta1",
       "kind": "NotificationTemplate",
       "metadata": {
         "annotations": {
           "cpaas.io/description": "sms-notice-temp-update",
           "cpaas.io/display-name": "sms-notice-temp-update",
           "cpaas.io/operator": "huzl",
           "cpaas.io/updated-at": "2021-06-17T09:50:09Z"
         },
         "creationTimestamp": "2021-06-17T09:48:05Z",
         "generation": 1,
         "labels": {
           "cpaas.io/type": "sms"
         },
         "managedFields": [
           {
             "apiVersion": "aiops.alauda.io/v1beta1",
             "fieldsType": "FieldsV1",
             "fieldsV1": {
               "f:metadata": {
                 "f:annotations": {
                   ".": {},
                   "f:cpaas.io/description": {},
                   "f:cpaas.io/display-name": {}
                 },
                 "f:labels": {
                   ".": {},
                   "f:cpaas.io/type": {}
                 }
               },
               "f:spec": {
                 ".": {},
                 "f:content": {}
               }
             },
             "manager": "Mozilla",
             "operation": "Update",
             "time": "2021-06-17T09:48:05Z"
           }
         ],
         "name": "sms-notice-temp",
         "resourceVersion": "97181",
         "selfLink": "/apis/aiops.alauda.io/v1beta1/notificationtemplates/sms-notice-temp",
         "uid": "f06c1835-eba7-4251-b459-62eeb800a31e"
       },
       "spec": {
         "content": "{{- if eq .externalLabels.status \"告警中\" }}\n告警状态:{{ .externalLabels.status }}\n告警等级:{{ .externalLabels.severity }}\n告警集群:{{ .labels.alert_cluster }}\n告警对象:{{ .externalLabels.object }}\n策略名称:{{ .labels.alert_resource }}\n告警描述:{{ .externalLabels.summary }}\n触发数值:{{ .externalLabels.currentValue }}\n告警时间:{{ dateFormatWithZone .startsAt \"2006-01-02 15:04:05\" \"Asia/Chongqing\" }}\n{{- else }}\n告警状态:{{ .externalLabels.status }}\n告警等级:{{ .externalLabels.severity }}\n告警集群:{{ .labels.alert_cluster }}\n告警对象:{{ .externalLabels.object }}\n策略名称:{{ .labels.alert_resource }}\n告警描述:{{ .externalLabels.summary }}\n触发数值:{{ .externalLabels.currentValue }}\n告警时间:{{ dateFormatWithZone .startsAt \"2006-01-02 15:04:05\" \"Asia/Chongqing\" }}\n恢复时间:{{ dateFormatWithZone .endsAt \"2006-01-02 15:04:05\" \"Asia/Chongqing\" }}\n{{- end}}"
       }
     },
     {
       "apiVersion": "aiops.alauda.io/v1beta1",
       "kind": "NotificationTemplate",
       "metadata": {
         "annotations": {
           "cpaas.io/creator": "huzl",
           "cpaas.io/description": "",
           "cpaas.io/display-name": "wechat-notice-temp",
           "cpaas.io/updated-at": "2021-06-17T09:48:32Z"
         },
         "creationTimestamp": "2021-06-17T09:48:32Z",
         "generation": 1,
         "labels": {
           "cpaas.io/type": "other"
         },
         "managedFields": [
           {
             "apiVersion": "aiops.alauda.io/v1beta1",
             "fieldsType": "FieldsV1",
             "fieldsV1": {
               "f:metadata": {
                 "f:annotations": {
                   ".": {},
                   "f:cpaas.io/description": {},
                   "f:cpaas.io/display-name": {}
                 },
                 "f:labels": {
                   ".": {},
                   "f:cpaas.io/type": {}
                 }
               },
               "f:spec": {
                 ".": {},
                 "f:content": {}
               }
             },
             "manager": "Mozilla",
             "operation": "Update",
             "time": "2021-06-17T09:48:32Z"
           }
         ],
         "name": "wechat-notice-temp",
         "resourceVersion": "95571",
         "selfLink": "/apis/aiops.alauda.io/v1beta1/notificationtemplates/wechat-notice-temp",
         "uid": "addab3d6-baa7-4cf8-a4bc-53ae8d4b887c"
       },
       "spec": {
         "content": "{{- if eq .externalLabels.status \"告警中\" }}\n告警状态:{{ .externalLabels.status }}\n告警等级:{{ .externalLabels.severity }}\n告警集群:{{ .labels.alert_cluster }}\n告警对象:{{ .externalLabels.object }}\n策略名称:{{ .labels.alert_resource }}\n告警描述:{{ .externalLabels.summary }}\n触发数值:{{ .externalLabels.currentValue }}\n告警时间:{{ dateFormatWithZone .startsAt \"2006-01-02 15:04:05\" \"Asia/Chongqing\" }}\n{{- else }}\n告警状态:{{ .externalLabels.status }}\n告警等级:{{ .externalLabels.severity }}\n告警集群:{{ .labels.alert_cluster }}\n告警对象:{{ .externalLabels.object }}\n策略名称:{{ .labels.alert_resource }}\n告警描述:{{ .externalLabels.summary }}\n触发数值:{{ .externalLabels.currentValue }}\n告警时间:{{ dateFormatWithZone .startsAt \"2006-01-02 15:04:05\" \"Asia/Chongqing\" }}\n恢复时间:{{ dateFormatWithZone .endsAt \"2006-01-02 15:04:05\" \"Asia/Chongqing\" }}\n{{- end}}"
       }
     }
   ],
   "kind": "NotificationTemplateList",
   "metadata": {
     "continue": "",
     "resourceVersion": "25881768",
     "selfLink": "/apis/aiops.alauda.io/v1beta1/notificationtemplates"
   }
 }

Parameters

Name Type Description
apiVersion string See common parameters
items array List of notificationtemplates. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md
Path: items
items[] object NotificationTemplate is the Schema for the templates API NotificationTemplate define a notification template to template notification
Path: items[]
items[].apiVersion string See common parameters
items[].kind string See common parameters
items[].metadata object See common parameters
items[].spec object Spec define the content of a template
Path: items[].spec
spec.content string Content template to render notification message
Path: items[].spec.content
spec.subject string Subject template to render notification message
Path: items[].spec.subject
kind string See common parameters
metadata object See common parameters

Other status codes

Status code: 401

Unauthorized